#pragma once

#include "BKOscScr.h"

// COscillatorlView

class COscillatorlView : public CDockablePane
{
		DECLARE_DYNAMIC(COscillatorlView)

	public:
		COscillatorlView();
		void AdjustLayout();
		inline CBKOscScr *getContainObj()
		{
			return m_pBKOSC;
		}
		virtual ~COscillatorlView();
		void Display();

	protected:
		CBKOscScr *m_pBKOSC;

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);
		afx_msg void OnPaint();
		afx_msg BOOL OnEraseBkgnd(CDC *pDC);
		DECLARE_MESSAGE_MAP()
	public:
		afx_msg void OnDestroy();
};


